#
# spec file for package perl-List-AllUtils
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-List-AllUtils
Version:        0.14
Release:        lp151.2.1
%define cpan_name List-AllUtils
Summary:        Combines List::Util, List::SomeUtils and List::UtilsBy in one bite-sized[cut]
License:        Artistic-2.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/List-AllUtils/
Source0:        https://cpan.metacpan.org/authors/id/D/DR/DROLSKY/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(List::SomeUtils) >= 0.50
BuildRequires:  perl(List::Util) >= 1.45
BuildRequires:  perl(List::UtilsBy) >= 0.10
BuildRequires:  perl(Sub::Util)
BuildRequires:  perl(Test::More) >= 0.96
Requires:       perl(List::SomeUtils) >= 0.50
Requires:       perl(List::Util) >= 1.45
Requires:       perl(List::UtilsBy) >= 0.10
%{perl_requires}

%description
Are you sick of trying to remember whether a particular helper is defined
in List::Util, List::SomeUtils or List::UtilsBy? I sure am. Now you don't
have to remember. This module will export all of the functions that either
of those three modules defines.

Note that all function documentation has been shamelessly copied from
List::Util, List::SomeUtils and List::UtilsBy.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes CONTRIBUTING.md README.md
%license LICENSE

%changelog
* Mon Feb 13 2017 coolo@suse.com
- updated to 0.14
  see /usr/share/doc/packages/perl-List-AllUtils/Changes
  0.14    2017-02-07
  - Re-release after git pull of some changes.
  0.13    2017-02-07
  - The docs for the subs from List::UtilsBy were repeated twice. Reported by
    Andy Lester. RT #120123.
* Mon Oct 17 2016 coolo@suse.com
- updated to 0.12
  see /usr/share/doc/packages/perl-List-AllUtils/Changes
  0.12    2016-10-16
  - Nothing from List::UtilsBy was actually being exported, because of a type
    and a lack of testing. Reported by Greg Oschwald. GitHub #5.
* Mon Jun 27 2016 coolo@suse.com
- updated to 0.11
  see /usr/share/doc/packages/perl-List-AllUtils/Changes
  0.11    2016-06-26
  - Added List::UtilsBy to the list of included modules. Based on a patch from
    Yanick Champoux. GH #3.
* Tue May 31 2016 coolo@suse.com
- updated to 0.10
  see /usr/share/doc/packages/perl-List-AllUtils/Changes
  0.10    2016-05-08
  - Switched from List::MoreUtils to List::SomeUtils. This should not change any
    functionality of the module.
  - Make the test for subroutine redefined warnings much more
    specific. Previously tests could fail because of totally unrelated warnings
    from other modules. Reported by ribasushi. RT #113740.
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.09
  see /usr/share/doc/packages/perl-List-AllUtils/Changes
  0.09    2014-10-05
  - Clarify which of List::Util and List::MoreUtils wins when they both provide
    the same function. Requested by Karen Etheridge. RT #98560.
* Thu Jul 17 2014 coolo@suse.com
- updated to 0.08
  - This version now works with both List::MoreUtils 0.28-0.33 and the latest
  trial version, 0.400_006. Note that it does not work with earlier versions
  of 0.400.
* Mon Nov 25 2013 coolo@suse.com
- updated to 0.07
  - The last version totally broke all exports from List::MoreUtils. Now there
  are actual tests for this. Reported by Tatsuhiko Miyagawa. RT #89509.
  - List::Util 1.33 provides some subs that are also provided by
  List::MoreUtils. This caused subroutine redefeined warnings. List::AllUtils
  now only imports subs from List::MoreUtils that aren't defined by
  List::Util. This works with List::Util 1.31+. Reported by Zefram. RT #89467.
* Fri Oct  4 2013 coolo@suse.com
- updated to 0.05
  - Really require List::Util 1.31, instead of just saying so in the
  Changes. Reported by Przemysław Wesołek. RT #88296
  - Updated to require List::Util 1.31, which includes a bunch of new pairwise
  functions.
  - Updated docs to match List::MoreUtils 0.28+. Reported by ilmari. RT #75196.
* Tue May 22 2012 werner@suse.de
- run osc service localrun format_spec_file
* Thu Feb 17 2011 pascal.bleser@opensuse.org
- initial version (0.02)
